Bug 965236 - Embedded cart steals HTTP routing from framework gear
Embedded cart steals HTTP routing from framework gear
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 14:34 EDT by Bill DeCoste
Modified: 2015-05-14 19:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_3252
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 23:59:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill DeCoste 2013-05-20 14:34:44 EDT
Description of problem:
If an embedded cart also exposes HTTP on 8080 it steals the routing from the framework cart


Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. Create an AS7 non-scaled app
2. Embed the AMQ cart from here: https://raw.github.com/bdecoste/openshift-origin-cartridge-activemq/master/metadata/manifest.yml
3. Hit the app in a browser

Actual results:
Get the AMQ page


Expected results:
Get the AS7 page


Additional info:
Comment 2 Dan Mace 2013-05-20 18:13:13 EDT
Resolved by https://github.com/openshift/origin-server/pull/2558
Comment 3 openshift-github-bot 2013-05-20 21:45:03 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/3a238a9ffcb52d198db2a907ccda52d8b28fdae1
Bug 965236: Restrict endpoint mappings to default route

Allow only primary and web_proxy cartridges to map to the default route
in Endpoint definitions.

Resolve https://bugzilla.redhat.com/show_bug.cgi?id=965236
Comment 4 Meng Bo 2013-05-22 02:17:17 EDT
Checked on devenv_3257,

[root@ip-10-226-101-246 ~]# rhc cartridge add https://raw.github.com/bdecoste/openshift-origin-cartridge-activemq/master/metadata/manifest.yml -a as1 -p123

The cartridge 'https://raw.github.com/bdecoste/openshift-origin-cartridge-activemq/master/metadata/manifest.yml' will be downloaded and installed
Adding https://raw.github.com/bdecoste/openshift-origin-cartridge-activemq/master/metadata/manifest.yml to application 'as1' ... You can only have one framework cartridge in your application 'as1'.

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.